<div class="price-plan-wrapper">
  <h3 class="title">{{'MEMBERSHIP_PLAN_TITLE' | translate:lang}}</h3>
  <div class="row">
    <div class="col-md-3" *ngFor="let plan of subcscriptionPlanList" (click)="activatePlan(plan)">
      <div
        [ngClass]="{'pricing-table-active' : activatedPlan === plan.systemName, 'pricing-table' : !(activatedPlan === plan.systemName)}">
        <div class="price-header">
          <h3 class="title">{{plan.displayName}}</h3>
          <div class="price">
            <span class="dollar">{{plan.offer}}%</span>
          </div>
          <span class="permonth">{{'CASHBACK' | translate:lang}}</span>
        </div>
        <div class="price-body">
          <ul>
            <li><b> {{'MONTHLY_SHOP_BUDGET' | translate:lang}}</b></li>
            <li><b>{{settings.currencyId == 1 ? '&#x20B9;' : '$' }}{{plan.minOrderAmount}} {{ 'TO' | translate:lang }}
                {{settings.currencyId == 1 ? '&#x20B9;' : '$' }}{{plan.maxOrderAmount}}</b>
            </li>
            <li class="member-select-field" *ngIf="plan.systemName != 'platinum'">
              <mat-form-field>
                <span matPrefix *ngIf="plan.budget">{{settings.currencyId == 1 ? '&#x20B9; ' : '$ ' }}</span>
                <mat-select placeholder="Select Budget" [(ngModel)]="plan.budget">
                  <mat-option *ngFor="let amount of parsePlanBudget(plan)" [value]="amount">{{amount}}</mat-option>
                </mat-select>
              </mat-form-field>
            </li>

            <li class="member-select-field" *ngIf="plan.systemName == 'platinum'">
              <mat-form-field class="example-full-width">
                <span matPrefix *ngIf="plan.budget">{{settings.currencyId == 1 ? '&#x20B9; ' : '$ ' }}</span>
                <input matInput placeholder="Enter Budget" [(ngModel)]="plan.budget"
                  [maxLength]="memberShipRule.PLATINUM_LENGTH">
                <mat-hint align="start">
                  <span class="sub-txt">
                    ({{'MULTIPLE_OF' | translate:lang}}
                    {{settings.currencyId == 1 ? '&#x20B9;' : '$' }}{{memberShipRule.MULTIPLE_OF_PLATINUM}})
                  </span>
                </mat-hint>
              </mat-form-field>
            </li>
          </ul>
        </div>
        <div class="price-footer">
          {{'DOUBLE_CASHBACK_ON_FIRST_PURCHASE' | translate:lang}}<br>
          {{'BUY_FROM_SUPER_CATEGORY' | translate:lang}}<br>
          {{'REDEEM_PERIOD' | translate:lang}}
        </div>
      </div>
    </div>

  </div>
  <div class="row">
    <div class="col-md-12 memebership-selection-txt" *ngIf="activatedPlan">
      {{'YOU_HAVE_SELECTED' | translate:lang}} {{ cashbackPlan[activatedPlan] | translate:lang}}
      {{'MEMBERSHIP_PLAN_LABEL' | translate:lang}}
    </div>
    <div class="col-md-12 terms-checkbox">
      <mat-checkbox [(ngModel)]="termsAgreed"></mat-checkbox>
      <span>{{'MAKE_SURE' | translate : lang}} </span>
      <span (click)="openTermsAndConditions()" class="terms-condition"> {{'TERMS_AND_COND' | translate:lang}} </span>
      <span class="agree">{{'AGREE' | translate:lang}}</span>
    </div>
  </div>

  <div class="subscribe-btn-wrap">
    <div></div>
    <div class="subscribe-btn">
      <button class="order-btn" (click)="subscribeMemberShipPlan()">{{'SUBSCRIBE' | translate:lang}}</button>
    </div>
    <div class="skip" (click)="skip()">
      {{'SKIP_FOR_NOW' | translate:lang}}
    </div>
  </div>

</div>